
# Macros
This is a collection of commands I use to make managing files and processes easier.
Use it to automagically select and run terminal applications, send signals to daemons, execute arbitrary commands, search the web, grab passwords from a password manager, and more.

## Prompt
	mpc dmenu scrot xclip tmux vim lbry pass dunst
They're all optional but missing commands may have unexpeted side effects. The scripts also assumes you have the common commands in GNU core utilities like sed, awk, etc.


- [ dmenu ](http://tools.suckless.org/dmenu/) for the prompts. It can be changed to rofi or some other solution
- scrot and xclip for screenshots
- all scripts assume your prefered terminal is [ st ](http://st.suckless.org)
- mpc is for media controls
- the script assumes your passwords are in ~/Passwords/

### Usage
	prompt [launch | action | cmd | ddg | pass]
	edit-ini ...
Use it to automagically select and run terminal applications, send signals to daemons, execute arbitrary commands, search the web, grab passwords from the password manager, and more.

#### TODO
- Finish vpn and networking stuff after ini script is finished, then make sure printf in case goes to stderror which is shown in bar
- Add ddg search prompt
- setup pass
- variables to the script to make assumed paths easier to change
- show script for man pages, pkg info, and other things
- command to clipboard
- emoji select to clipboard
- system of additional clipboards using /tmp files 
- use attach-session -t . -c /dir for selecting multiplexer directory
- ddg fill options should be taken from bookmarks or history
